  <style type="text/css">
/* PLUGINS-2244 */
div#footer_section {
	background-color: white;
	padding: 2%;
	border: 1px solid #e5e5e5;
	font-size: 13px;
	line-height: 1;
}
div#header_content {
	position: inherit;
	height: 36px;
}
/* PLUGINS-2244 End */


  .tabset > input[type="radio"] {
	position: absolute;
	left: -200vw;
  }
  .tabset .tab-panel {
	display: none;
  }
  .tabset > input:first-child:checked ~ .tab-panels > .tab-panel:first-child,
  .tabset > input:nth-child(3):checked ~ .tab-panels > .tab-panel:nth-child(2),
  .tabset > input:nth-child(5):checked ~ .tab-panels > .tab-panel:nth-child(3),
  .tabset > input:nth-child(7):checked ~ .tab-panels > .tab-panel:nth-child(4),
  .tabset > input:nth-child(9):checked ~ .tab-panels > .tab-panel:nth-child(5),
  .tabset > input:nth-child(11):checked ~ .tab-panels > .tab-panel:nth-child(6) {
	display: block;
  }
  /*
  Styling
 
  body {
	font: 14px/1.5em "Overpass", "Open Sans", Helvetica, sans-serif;
	color: #333;
	font-weight: 300;
  } */
  .tabset > label {
	position: relative;
	display: inline-block;
	padding: 15px 15px 25px;
	border: 1px solid transparent;
	border-bottom: 0;
	cursor: pointer;
	font-weight: 600;
  }
  .tabset > input:checked + label {
	border-color: #ccc;
	border-bottom: 1px solid #fff;
	margin-bottom: -1px;
  }
  .tab-panel {
	/*padding: 30px 0;*/
	border-top: 1px solid #ccc;
  }
 /* span.desc-row {
		font-size: small;
		line-height: initial;
	}*/

  .product-function {
	display: flex;
	width: 100%;
  }

	  
	 
	  .woocommerce table.form-table .select-repeater fieldset:first-child {
		  margin-top: 4px;
		  margin-right: 4px
	  }

	  .woocommerce table.form-table {
		margin-top: 2%;
	}
	  .mappingBlock td.forminp {
		  vertical-align: top;
		  padding-top: 0;
	  }

	</style>
	<?php
	$defaults = array(
		'class'             => 'button-secondary',
		'css'               => '',
		'custom_attributes' => array(),
		'desc_tip'          => true,
		'description'       => '',
		'title'             => '',
		'disable'           => true,
	);
		// pr( $settings_fileds );
	$freq_options = array(
		'hourly'     => __( 'Every Hour', 'wc-odoo-integration' ),
		'twicedaily' => __( 'Twice A Day', 'wc-odoo-integration' ),
		'daily'      => __( 'Once A Day', 'wc-odoo-integration' ),
	);
	$fields       = $this->allowed_html();


$wizard = get_option('woocommerce_taxamo_wizard_set', true);

	if (isset($wizard) && 'yes' != $wizard && empty(get_option('woocommerce_taxamo_settings'))) {
		?>
<h2><?php echo esc_html__( 'Taxamo Assure by Vertex', 'woocommerce-taxamo' ); ?></h2>
	<?php 
	$message = '<span class="desc-row">Taxamo Assure by Vertex is a service for ecommerce merchants to process tax for physical goods sold into the EU that are valued up to 150 EUR. Please refer to our <a href="https://docs.assure.taxamo.com/docs/getting-started" target="_blank">getting started docs</a> for further information.  Merchants are required to have a Taxamo Assure account to use this service.  For testing purposes you may sign up for a <a href="https://manage.sandbox.marketplace.taxamo.com/auth.html#self-signup/Taxamo" target="_blank">Sandbox account.</a> When ready to go live, please sign up for a <a href="https://manage.marketplace.taxamo.com/auth.html#self-signup/Taxamo" target="_blank">Production account.</a></span>';

		echo wp_kses_post($message); 
		?>
<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal"> Launch Taxamo Assure Settings Wizard </button>

<?php } else { ?>

<div class="tabset">
	<!-- Tab 1 -->
	<input type="radio" name="tabset" id="tab1" aria-controls="tap_credentials" checked>
	<label for="tab1"><?php echo esc_html__( 'Credentials', 'woocommerce-taxamo' ); ?></label>
	<!-- Tab 2 -->
	<input type="radio" name="tabset" id="tab2" aria-controls="tap_configuration">
	<label for="tab2"><?php echo esc_html__( 'Configuration', 'woocommerce-taxamo' ); ?></label>

	<div class="tab-panels">
		<section id="tap_credentials" class="tab-panel">
			<h2><?php echo esc_html__( 'Taxamo Assure by Vertex', 'woocommerce-taxamo' ); ?></h2>
			<?php 
			$message = '<span class="desc-row">Taxamo Assure by Vertex is a service for ecommerce merchants to process tax for physical goods sold into the EU that are valued up to 150 EUR. Please refer to our <a href="https://docs.assure.taxamo.com/docs/getting-started" target="_blank">getting started docs</a> for further information.  Merchants are required to have a Taxamo Assure account to use this service.  For testing purposes you may sign up for a <a href="https://manage.sandbox.marketplace.taxamo.com/auth.html#self-signup/Taxamo" target="_blank">Sandbox account.</a> When ready to go live, please sign up for a <a href="https://manage.marketplace.taxamo.com/auth.html#self-signup/Taxamo" target="_blank">Production account.</a></span>';

		echo wp_kses_post($message);

			?>
					 </p>
			<table class="form-table">
			<?php
			foreach ( $tab1 as $sk => $sv ) {
				$input_type = $this->get_field_type( $sv );
				if ( method_exists( $this, 'generate_' . $input_type . '_html' ) ) {
					$html = $this->{'generate_' . $input_type . '_html'}( $sk, $sv );
				} else {
					$html = $this->generate_text_html( $sk, $sv );
				}
				// echo $html;
				echo wp_kses( $html, $fields ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			?>
			</table>
		</section>

		<section id="tap_configuration" class="tab-panel">
					<h2><?php echo esc_html__( 'Taxamo Assure by Vertex', 'woocommerce-taxamo' ); ?></h2>
					<?php 

						$message = '<span class="desc-row">Taxamo Assure by Vertex is a service for ecommerce merchants to process tax for physical goods sold into the EU that are valued up to 150 EUR. Please refer to our <a href="https://docs.assure.taxamo.com/docs/getting-started" target="_blank">getting started docs</a> for further information.  Merchants are required to have a Taxamo Assure account to use this service.  For testing purposes you may sign up for a <a href="https://manage.sandbox.marketplace.taxamo.com/auth.html#self-signup/Taxamo" target="_blank">Sandbox account.</a> When ready to go live, please sign up for a <a href="https://manage.marketplace.taxamo.com/auth.html#self-signup/Taxamo" target="_blank">Production account.</a></span>';

						echo wp_kses_post($message);

					?>
					<table class="form-table">
						<?php

						foreach ( $tab2 as $sk => $sv ) {
							$input_type = $this->get_field_type( $sv );
							if ( method_exists( $this, 'generate_' . $input_type . '_html' ) ) {
								$html = $this->{'generate_' . $input_type . '_html'}( $sk, $sv );
							} else {
								$html = $this->generate_text_html( $sk, $sv );
							}
							// echo $html;
							echo wp_kses( $html, $fields ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
						}
						?>
					</table>
		</section>
</div>
<?php } ?>
