<?php

class WC_TA_Request_Auth_Api extends WC_TA_Request {

	/**
	 * The constructor
	 *
	 * @param string $country
	 * @param array $items
	 * @param array $transaction_extra
	 */
	public function __construct( $enable_v3, $enable_v2, $enable_v1, $seller_token, $private_token, $public_token, $enable_mode) {

		// Set request method and endpoint
		$this->set_request_methods( array( 'tax' ) );
		$this->set_request_endpoint( 'calculate' );

		// Set the HTTP method
		$this->set_http_method( 'POST' );

		// Transaction manager
		//$transaction_manager = new WC_TA_Transaction_Manager();

		// Set the transaction
		$this->set_request_body( array('auth' => array('enable_v3' => $enable_v3, 'enable_v2' => $enable_v2, 'enable_v1' => $enable_v1, 'seller_token' => $seller_token, 'private_token' => $private_token, 'public_token' => $public_token, 'enable_mode' => $enable_mode) ) );

		parent::__construct();
	}

}
